GETFH(2)

NAME
getfh - get file handle

SYNOPSIS
#include <sys/param.h>
#include <sys/mount.h>
int
getfh(const char *path, fhandle_t *fhp);

DESCRIPTION
Getfh() returns a file handle for the specified file or directory in the file handle pointed to by fhp. This system call is restricted to the superuser.

RETURN VALUES
Upon successful completion, a value of 0 is returned. Otherwise, -1 is returned and the global variable errno is set to indicate the error.

ERRORS
Getfh() fails if one or more of the following are true:

[ENOTDIR]
    A component of the path prefix of path is not a directory.

[ENAMETOOLONG]
    The length of a component of path exceeds 255 characters, or the length of path exceeds 1023 characters.

[ENOENT]
    The file referred to by path does not exist.

[EACCES]
    Search permission is denied for a component of the path prefix of path.

[ELOOP]
    Too many symbolic links were encountered in translating path.

[EFAULT]
    Fhp points to an invalid address.

[EIO]
    An I/O error occurred while reading from or writing to the file system.

HISTORY
The getfh() function first appeared in 4.4BSD.